Gmagick::deconstructimages
Gmagick::destroy
Gmagick
PHP Manual

# Gmagick::despeckleimage

(PECL gmagick >= Unknown)

Gmagick::despeckleimage — The despeckleimage purpose

### Description

public void Gmagick::despeckleimage ( void )

Reduces the speckle noise in an image while preserving the edges of the original image.

### Parameters

This function has no parameters.

### Return Values

The despeckled Gmagick object on success.

### Errors/Exceptions

Throws an GmagickException on error.

### Examples

Example #1 Gmagick::despeckleimage example

`<?php
/* ... */
?>`

The above example will output something similar to:

    ...

### See Also

- Classname::Method

Gmagick::deconstructimages
Gmagick::destroy
Gmagick
PHP Manual